recordPlot             package:graphics             R Documentation

Record and Replay Plots

Description:

     Functions to save the current plot in an R variable, and to replay
     it.

Usage:

     recordPlot()
     replayPlot(x)

Arguments:

       x: A saved plot.

Details:

     These functions record and replay the displaylist of the current
     graphics device.  The returned object is of class
     '"recordedplot"', and 'replayPlot' acts as a 'print' method for
     that class.

     The format of recorded plots was changed in R 1.4.0: plots saved
     in earlier versions can still be replayed.

Value:

     'recordPlot' returns an object of class '"recordedplot"', a list
     with components: 

displaylist: The saved display list, as a pairlist.

    gpar: The graphics state, as an integer vector.


     'replayPlot' has no return value.

